<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Supervisor.class.php");
	require_once($dir."/classes/Dados.class.php");
	
	class SupervisorDAO {
		
		public function lkpSupervisor(){
			$dados = new Dados();
			
			$sql = "select CODSUPERVISOR, NOME from VENDEDORES order by 2 ";
			$array = $dados->SelectSQL($sql);
			foreach ($array as $row){
				$novoSupervisores = new Supervisor();
				$novoSupervisores->setCodsupervisor($row["CODSUPERVISOR"]);
				$novoSupervisores->setNome($row["NOME"]);
				$supervisores[] = $novoSupervisores;
			}
			return $supervisores;
		}
		
	}
	
?>